osl::eval::ml::PiecePair::IndexTable Struct Reference

`#include <piecePair.h>`

Inheritance diagram for osl::eval::ml::PiecePair::IndexTable:

## Public Member Functions

| IndexTable ()
void | fillBW (int index, int dir, Ptype p0, Ptype p1)
void | fillSame (int index, int dir, Ptype p0, Ptype p1)
| for same owner
void | fillDiffer (int index, int dir, Ptype p0, Ptype p1)
| for different owner
void | amplify (int base)
Public Member Functions inherited from osl::CArray< CArray2d< T, Capacity2, Capacity3 >, Capacity1 >
T & | operator[] (size_t i)
T const & | operator[] (size_t i) const
T & | operator[] (Player p)
const T & | operator[] (Player p) const
T & | operator[] (PtypeO ptypeo)
const T & | operator[] (PtypeO ptypeo) const
iterator | begin ()
iterator | end ()
void | fill (const T_simple &value=T_simple())
void | fill (const T2 &value=T2())
const_iterator | begin () const
const_iterator | end () const
const_iterator | cbegin () const
const_iterator | cend () const
bool | operator== (const CArray &other) const
T & | front ()
T & | back ()
const T & | front () const
const T & | back () const

## Static Public Member Functions

static int | pindex (Player player, Ptype ptype)
Static Public Member Functions inherited from osl::CArray< CArray2d< T, Capacity2, Capacity3 >, Capacity1 >
static size_t | size ()

## Additional Inherited Members

Public Types inherited from osl::CArray< CArray2d< T, Capacity2, Capacity3 >, Capacity1 >
typedef std::remove_cv< T >::type | T_simple
typedef T | value_type
typedef std::array< T, Capacity >::iterator | iterator
typedef std::array< T, Capacity >::const_iterator | const_iterator
Public Attributes inherited from osl::CArray< CArray2d< T, Capacity2, Capacity3 >, Capacity1 >
std::array< T, Capacity > | array

## Detailed Description

Definition at line 79 of file piecePair.h.

## Constructor & Destructor Documentation

## IndexTable()

osl::eval::ml::PiecePair::IndexTable::IndexTable | ( |  | ) |

Definition at line 298 of file piecePair.cc.

References osl::CArray< CArray2d< T, Capacity2, Capacity3 >, Capacity1 >::fill().

## Member Function Documentation

## amplify()

void osl::eval::ml::PiecePair::IndexTable::amplify | ( | int | base | ) |

Definition at line 304 of file piecePair.cc.

References osl::eval::ml::PiecePair::offsets, and osl::PTYPEO_SIZE.

## fillBW()

void osl::eval::ml::PiecePair::IndexTable::fillBW | ( | int | index,
|  | int | dir,
|  | Ptype | p0,
|  | Ptype | p1 )

Definition at line 322 of file piecePair.cc.

References osl::BLACK, osl::eval::ml::PiecePair::index(), osl::eval::ml::ppair::inv(), pindex(), and osl::WHITE.

Referenced by fillSame().

## fillDiffer()

void osl::eval::ml::PiecePair::IndexTable::fillDiffer | ( | int | index,
|  | int | dir,
|  | Ptype | p0,
|  | Ptype | p1 )

for different owner

Definition at line 337 of file piecePair.cc.

References osl::BLACK, osl::eval::ml::PiecePair::index(), osl::eval::ml::ppair::inv(), pindex(), and osl::WHITE.

## fillSame()

void osl::eval::ml::PiecePair::IndexTable::fillSame | ( | int | index,
|  | int | dir,
|  | Ptype | p0,
|  | Ptype | p1 )

for same owner

Definition at line 331 of file piecePair.cc.

References fillBW(), osl::eval::ml::PiecePair::index(), and osl::eval::ml::ppair::inv().

## pindex()

int osl::eval::ml::PiecePair::IndexTable::pindex | ( | Player | player,
|  | Ptype | ptype )

inline static

Definition at line 87 of file piecePair.h.

References osl::newPtypeO(), and osl::ptypeOIndex().

Referenced by fillBW(), fillDiffer(), and osl::eval::ml::ppair::pindex().

The documentation for this struct was generated from the following files:

- piecePair.h
- piecePair.cc